CK_RING_INIT(3)

NAME
ck_ring_init - initialize bounded FIFO

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ring.h>
void
ck_ring_init(ck_ring_t *ring, unsigned int size);

DESCRIPTION
The ck_ring_init() function initializes a bounded FIFO buffer pointed to by ring for the storage of up to size number of pointers. The size argument must be a power-of-two greater than or equal to 4.

RETURN VALUES
This function has no return value.

SEE ALSO
ck_ring_dequeue_spmc(3), ck_ring_trydequeue_spmc(3), ck_ring_enqueue_spmc(3), ck_ring_enqueue_spmc_size(3), ck_ring_dequeue_spsc(3), ck_ring_enqueue_spsc(3), ck_ring_enqueue_spsc_size(3), ck_ring_capacity(3), ck_ring_size(3)

Additional information available at http://concurrencykit.org/